Page MenuHomePhabricator

Drop ss_admins from postgres
Closed, ResolvedPublic

Description

In MediaWiki 1.21 the ss_admins field was removed as part of a schema change. Both the standard layout was updated and schema changes for existing installs, except for Postgres.

The new installation schema for Postgres still has the field, and existing installations didn't get a patch either.

rMWbd602d20833f: Drop unused database field ss_admins (https://gerrit.wikimedia.org/r/24675).

Details

Reference
bz62103

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.
StatusAssignedTask
InvalidNone
ResolvedPleaseStand

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:07 AM
bzimport added a project: Wikimedia-Rdbms.
bzimport set Reference to bz62103.
bzimport added a subscriber: Unknown Object (MLST).
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Migrating from the old tracking task to a tag for PostgreSQL-related tasks.

EddieGP added a subscriber: EddieGP.May 7 2017, 8:48 PM

I just ran into this field being still present in postgres/tables.sql when working on T56888. This field is removed since 1.21 and afaics we don't use it anywhere any more. Is there any reason that not only this field has not been dropped already but we keep creating it for new databases which are set up with postgres? Is it still used for anything? If this is only about that we need to remove that one line from postgres/tables.sql and give a short patch to drop that field, I'd be going to send in a patch for this.

Krinkle updated the task description. (Show Details)
Krinkle edited subscribers, added: Umherirrender; removed: wikibugs-l-list.
Krinkle renamed this task from drop ss_admins from postgres to Drop ss_admins from postgres.May 7 2017, 9:28 PM
Krinkle updated the task description. (Show Details)
Krinkle added a subscriber: Krinkle.

@EddieGP Nope, no reason. Looks like it was just forgotten. We can apply the same to Postgres. I'd recommend doing it as its own change separate from T56888 so that the timeline and updater path is a similar as possible between different backends.

Krinkle moved this task from Unsorted to Cleanup on the Technical-Debt board.
EddieGP claimed this task.May 8 2017, 10:43 AM

@EddieGP Nope, no reason. Looks like it was just forgotten. We can apply the same to Postgres.

Okay, wanted to be sure about this.

I'd recommend doing it as its own change separate from T56888 so that the timeline and updater path is a similar as possible between different backends.

Sure, I didn't plan to put more unrelated stuff into the T56888 patch ;-) Going to do this once I'm done on T56888 - haven't tested for oracle and not finished mssql patch yet (MS has a strange implementation of default values).

EddieGP removed EddieGP as the assignee of this task.Sep 22 2017, 8:37 PM

Not doing mw core work any more, at least in the short-term future.

Krinkle removed a subscriber: Krinkle.Jan 8 2018, 5:49 PM
EddieGP removed a subscriber: EddieGP.Jun 1 2018, 11:25 AM

Change 444606 had a related patch set uploaded (by PleaseStand; owner: PleaseStand):
[mediawiki/core@master] PostgreSQL: Drop three unused columns

https://gerrit.wikimedia.org/r/444606

Change 444606 merged by jenkins-bot:
[mediawiki/core@master] PostgreSQL: Drop three unused columns

https://gerrit.wikimedia.org/r/444606

Change 479740 had a related patch set uploaded (by Anomie; owner: PleaseStand):
[mediawiki/core@REL1_32] PostgreSQL: Drop three unused columns

https://gerrit.wikimedia.org/r/479740

Change 479740 merged by jenkins-bot:
[mediawiki/core@REL1_32] PostgreSQL: Drop three unused columns

https://gerrit.wikimedia.org/r/479740

daniel added a subscriber: daniel.Dec 17 2018, 1:02 PM

As far as I can tell, all patches are merged. Can this be closed now?

Reedy closed this task as Resolved.Dec 20 2018, 6:35 PM
Reedy assigned this task to PleaseStand.
Reedy removed a project: Patch-For-Review.